Name:          clojure
Version:       1.2.1
Release:       %mkrel 1
Summary:       Clojure Programming Language
Group:         Development/Java
License:       EPL 1.0
Url:           http://clojure.org/
Source0:       https://github.com/downloads/clojure/clojure/clojure-%{version}.zip
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Clojure is a dynamic programming language that targets the Java
Virtual Machine. It is designed to be a general-purpose language,
combining the approachability and interactive development of a
scripting language with an efficient and robust infrastructure for
multithreaded programming. Clojure is a compiled language - it
compiles directly to JVM bytecode, yet remains completely dynamic.
Every feature supported by Clojure is supported at runtime. Clojure
provides easy access to the Java frameworks, with optional type
hints and type inference, to ensure that calls to Java can avoid
reflection. Clojure is a dialect of Lisp, and shares with Lisp the
code-as-data philosophy and a powerful macro system. Clojure is
predominantly a functional programming language, and features a rich
set of immutable, persistent data structures. When mutable state
is needed, Clojure offers a software transactional memory system
and reactive Agent system that ensure clean, correct, multithreaded
designs.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
Clojure Programming Language.

This package contains javadoc for %{name}.

%prep
%setup -q

for j in $(find . -name "*.jar"); do
  rm -f $j
done

for c in $(find . -name "*.class"); do
  rm -f $c
done

%build

ant all

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
install -pm 644 %{name}-slim-%{version}.jar %{buildroot}%{_javadir}/%{name}-slim.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-slim.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc changes.txt epl-v10.html readme.txt


%changelog

* Thu Oct 27 2011 gil <gil> 1.2.1-1.mga2
+ Revision: 158510
- imported package clojure

